Page MenuHomePhabricator

Add @integration tests to Gather browser tests
Closed, ResolvedPublic

Description

Using as a guideline: https://gerrit.wikimedia.org/r/#/c/221313/ let's do the same for Gather.

Event Timeline

Jdlrobson updated the task description. (Show Details)
Jdlrobson raised the priority of this task from to High.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 4 2015, 5:33 PM
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Aug 4 2015, 6:30 PM
Jhernandez set Security to None.
Jdlrobson updated the task description. (Show Details)Aug 5 2015, 9:00 PM

Change 230953 had a related patch set uploaded (by Jdlrobson):
Run Gather browser tests on each commit

https://gerrit.wikimedia.org/r/230953

Jdlrobson moved this task from Needs triage to Must haves on the Gather board.Aug 12 2015, 5:59 AM

Change 231468 had a related patch set uploaded (by Jdlrobson):
QA: More integration tests on each commit

https://gerrit.wikimedia.org/r/231468

It's barfing because $wgMFEnableBeta = false; by default.
We'll need to force $wgMFEnableBeta = true; on
With such a mechanism we'd also be able to fix half of T107910

https://gerrit.wikimedia.org/r/#/c/230953/ has a +1 from baha but someone needs to be bold and merge it :)

@Jdlrobson: @bmansurov mentioned mentioning the mediawiki-selenium gem update. I can be bold.

Change 230953 merged by jenkins-bot:
Run Gather browser tests on various commits

https://gerrit.wikimedia.org/r/230953

Change 231468 merged by jenkins-bot:
QA: More integration tests on each commit

https://gerrit.wikimedia.org/r/231468

Needs further work. I should have noted that check experimental is needed to run the browser tests - they are currently not turned on a per commit basis.
https://integration.wikimedia.org/ci/job/mwext-mw-selenium/469/console

@dduvall I'm guessing I screwed up with my LocalSettings definition?

Change 233082 had a related patch set uploaded (by Jdlrobson):
Run selenium job in test and gate and submit

https://gerrit.wikimedia.org/r/233082

Change 233082 merged by jenkins-bot:
Run mw-selenium job in test and gate-and-submit for Gather

https://gerrit.wikimedia.org/r/233082

Jhernandez closed this task as Resolved.Aug 24 2015, 9:20 AM

Awesome to see this happen.

https://integration.wikimedia.org/ci/job/mwext-mw-selenium/486/console

Does this cover all of Gather's tests?

they cover the majority of them if not all of them but currently tests are failing (false positive) - this should fix it - https://gerrit.wikimedia.org/r/233425

Change 233425 had a related patch set uploaded (by Jhernandez):
QA: Do not rely on browser url for login test

https://gerrit.wikimedia.org/r/233425

Jhernandez reopened this task as Open.Aug 25 2015, 9:55 AM

Moving back to -1 to get this fixed

Finnnnalllyyy jenkins is now happy.

phuedx closed this task as Resolved.Aug 27 2015, 11:03 AM

This is a technical task.

We can reopen it if the mwext-mw-selenium job starts failing intermittently again.